package com.pj.api.dto;

/**
 * @Author Mechrevo
 * @Date 2023 09 02 15 43
 **/
public class HtPeopleDto {

    private String platSeqNo;

    private String borderName;

    private String gencd;

    private String idCardNo;

    private String startDate;

    private String endDate;

    private String idcdGcertPgoffNm;

    private String borderTel;

    private String birplAddr;

    private String customsCode;

    private String expiry;

    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    private String putrecNo;

    private String localGovernmentNo;

    private String filingStatus;

    private String fieldCode;


    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getBorderName() {
        return borderName;
    }

    public void setBorderName(String borderName) {
        this.borderName = borderName;
    }

    public String getGencd() {
        return gencd;
    }

    public void setGencd(String gencd) {
        this.gencd = gencd;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getIdcdGcertPgoffNm() {
        return idcdGcertPgoffNm;
    }

    public void setIdcdGcertPgoffNm(String idcdGcertPgoffNm) {
        this.idcdGcertPgoffNm = idcdGcertPgoffNm;
    }

    public String getBorderTel() {
        return borderTel;
    }

    public void setBorderTel(String borderTel) {
        this.borderTel = borderTel;
    }

    public String getBirplAddr() {
        return birplAddr;
    }

    public void setBirplAddr(String birplAddr) {
        this.birplAddr = birplAddr;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public String getExpiry() {
        return expiry;
    }

    public void setExpiry(String expiry) {
        this.expiry = expiry;
    }

    public String getPutrecNo() {
        return putrecNo;
    }

    public void setPutrecNo(String putrecNo) {
        this.putrecNo = putrecNo;
    }

    public String getLocalGovernmentNo() {
        return localGovernmentNo;
    }

    public void setLocalGovernmentNo(String localGovernmentNo) {
        this.localGovernmentNo = localGovernmentNo;
    }

    public String getFilingStatus() {
        return filingStatus;
    }

    public void setFilingStatus(String filingStatus) {
        this.filingStatus = filingStatus;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public HtPeopleDto(String platSeqNo, String borderName, String gencd, String idCardNo, String startDate, String endDate, String idcdGcertPgoffNm, String borderTel, String birplAddr, String customsCode, String expiry, String putrecNo, String localGovernmentNo, String filingStatus, String fieldCode) {
        this.platSeqNo = platSeqNo;
        this.borderName = borderName;
        this.gencd = gencd;
        this.idCardNo = idCardNo;
        this.startDate = startDate;
        this.endDate = endDate;
        this.idcdGcertPgoffNm = idcdGcertPgoffNm;
        this.borderTel = borderTel;
        this.birplAddr = birplAddr;
        this.customsCode = customsCode;
        this.expiry = expiry;
        this.putrecNo = putrecNo;
        this.localGovernmentNo = localGovernmentNo;
        this.filingStatus = filingStatus;
        this.fieldCode = fieldCode;
    }

    public HtPeopleDto() {
    }
}
